Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
guardian
/
factors
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Guardian.Factors.ListAsync();
    }

}
[
  {
    "enabled": true,
    "trial_expired": true,
    "name": "sms"
  }
]

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Réponse

Factors successfully retrieved.

enabled
boolean
défaut:true
requis

Whether this factor is enabled (true) or disabled (false).

trial_expired
boolean
défaut:true

Whether trial limits have been exceeded.

name
enum<string>
défaut:sms

Factor name. Can be sms, push-notification, email, duo otp webauthn-roaming, webauthn-platform, or recovery-code.

Options disponibles:
push-notification,
sms,
email,
duo,
otp,
webauthn-roaming,
webauthn-platform,
recovery-code
Minimum string length: 1